Apply by doing:
	cd /usr/src
	patch -p0 < 014_pcb.patch

Then build and install a new kernel.


Index: sys/netinet/in_pcb.c
===================================================================
RCS file: /cvs/src/sys/netinet/in_pcb.c,v
retrieving revision 1.89
retrieving revision 1.89.2.1
diff -u -p -r1.89 -r1.89.2.1
--- sys/netinet/in_pcb.c	10 Apr 2007 17:47:55 -0000	1.89
+++ sys/netinet/in_pcb.c	30 Jul 2008 05:27:03 -0000	1.89.2.1
@@ -486,9 +486,10 @@ in_pcbdetach(v)
 	if (inp->inp_route.ro_rt)
 		rtfree(inp->inp_route.ro_rt);
 #ifdef INET6
-	if (inp->inp_flags & INP_IPV6)
+	if (inp->inp_flags & INP_IPV6) {
+		ip6_freepcbopts(inp->inp_outputopts6);
 		ip6_freemoptions(inp->inp_moptions6);
-	else
+	} else
 #endif
 		ip_freemoptions(inp->inp_moptions);
 #ifdef IPSEC
